
SCM Creator (+Github) - Bug #1800

UnknownAttributeError 'extra_report_last_commit' when adding an existing git repository in redmine

10 Jul 2011 09:29 - Bernd Vogt

Status: Closed Start date: 10 Jul 2011

Priority: Critical Due date: 19 Sep 2011

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.0   

Redmine version:  External issue:  

Description

Belongs to Redmine 1.2.x

Adding an existing git repository under <project> → Settings → Repsository doesn’t work with installed SCM creator under Readmine

1.2 anymore. It seems that a new attribute 'extra_report_last_commit’ was introduced which is not supported by SCM createor yet.

Unless this is fixed, SCM creator can’t be used with Redmine 1.2.x 

See: http://www.redmine.org/issues/8642

Related issues:

Related to SCM Creator (+Github) - Bug #2040: ActionView::Template::Error (un... Closed 28 May 2012 06 Jun 2012

Associated revisions

Revision 34 - 14 Sep 2011 21:46 - Andriy Lesyuk

Fixes for 1.2.x (#1800)

History

#1 - 12 Jul 2011 13:37 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

Thank you very much for reporting! Will do my best to fix this issue asap.

#2 - 18 Jul 2011 13:01 - Andriy Lesyuk

- Target version set to 0.2.0

#3 - 26 Jul 2011 11:20 - Roland Firmont

- File attribute_patch.diff added

Bug is caused by a change in edit function of repositories_controller. There is a new field used to store extra information for repositories (could be

used as a replacement for the  created_with_scm field).

Attached patch fixes creation of git repositories.

#4 - 30 Aug 2011 13:34 - Matteo Pescarin

Since I was having the very same problem with redmine 1.2.1, I’ve applied the patch, tried it and it seems to work fine, that is: I’ve created a new

project, went to the repo page, and tried to create a new git repo.

the log reports 200 OK on creation, and I see no error.

When going to the repo page of the project I get a 404 and the repo in the fs is not there (not even the dir has been created), and no errors

whatsoever in the logs.

Consider that the user executing rails has writing permissions on /var/lib/git/
#5 - 14 Sep 2011 21:00 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 30

#6 - 14 Sep 2011 22:05 - Andriy Lesyuk

When going to the repo page of the project I get a 404 and the repo in the fs is not there (not even the dir has been created), and no errors

whatsoever in the logs.

 

With the same symptoms I got errors in logs:

Creating SVN reporitory: /var/lib/svn/test-repo

Repository creation failed

 

The reason wass write permission...

#7 - 14 Sep 2011 22:07 - Andriy Lesyuk

- % Done changed from 30 to 80

Thank you very much, Roland, for your find and patch!

Included changes into SVN! Please confirm it works.

#8 - 19 Sep 2011 06:36 - Andriy Lesyuk

- Due date set to 19 Sep 2011

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

I believe the issue has been resolved.

Files

attribute_patch.diff 3.56 KB 26 Jul 2011 Roland Firmont
